Subject: [MMUSIC] Draft submission deadlines change

From: Ari Keränen <[email-masked]>
Date: Mon, 8 Jul 2013 01:55:38 +0300

FYI, since many of you may have missed this: "Please note that for IETF 
87, there is only one deadline for draft submission: Monday 15th July."

http://www.ietf.org/mail-archive/web/ietf-announce/current/msg11651.html

However, as the announcement says: "But please do note that working 
group chairs will continue to make smart decisions about what topics are 
worthwhile for discussing in a session in the upcoming meeting, and will 
also set their agendas in a timely manner and create deadlines for their 
working groups that must be adhered to. The earlier new drafts are 
submitted, the more time there is to talk about them on the mailing 
lists and consider them for the session agendas."

So please, submit rather early than late.

Thanks,
Ari